org.scalatest.junit

# JUnit3Suite

#### class JUnit3Suite extends TestCase with Suite with AssertionsForJUnit

A `Suite` that is also a `junit.framework.TestCase`.

A `JUnit3Suite` may be run by either JUnit 3 (such as JUnit 3.8) or ScalaTest's runner. You write it the way you write a JUnit 3 `TestCase`. Tests are methods that start with `test`, take no parameters, and have a `Unit` return type. You manage fixtures with methods `setUp` and `tearDown`. Here's an example:

    import org.scalatest.junit.JUnit3Suite
    import scala.collection.mutable.ListBuffer

    class BlastFromThePastSuite extends JUnit3Suite {

      var sb: StringBuilder = _
      var lb: ListBuffer[String] = _

      override def setUp() {
        sb = new StringBuilder("ScalaTest is ")
        lb = new ListBuffer[String]
      }

      def testEasy() { // Uses JUnit-style assertions
        sb.append("easy!")
        assertEquals("ScalaTest is easy!", sb.toString)
        assertTrue(lb.isEmpty)
        lb += "sweet"
      }

      def testFun() { // Uses ScalaTest assertions
        sb.append("fun!")
        assert(sb.toString === "ScalaTest is fun!")
        assert(lb.isEmpty)
      }
    }

You can use either JUnit's assertions, inherited from `TestCase`, or ScalaTest's, inherited from `AssertionsForJUnit`. You can also mix in `ShouldMatchersForJUnit` or `MustMatchersForJUnit` if you want to use ScalaTests's matchers DSL. Here's an example:

    import org.scalatest.junit.JUnit3Suite
    import org.scalatest.junit.MustMatchersForJUnit
    import scala.collection.mutable.ListBuffer

    class BlastFromThePastSuite extends JUnit3Suite with MustMatchersForJUnit {

      var stringBuilder: StringBuilder = _
      var listBuffer: ListBuffer[String] = _

      override def setUp() {
        stringBuilder = new StringBuilder("ScalaTest is ")
        listBuffer = new ListBuffer[String]
      }

      def testEasy() {
        stringBuilder.append("easy!")
        stringBuilder.toString must be ("ScalaTest is easy!")
        listBuffer must be ('empty)
        listBuffer += "sweet"
      }

      def testFun() {
        stringBuilder.append("fun!")
        stringBuilder.toString must be ("ScalaTest is fun!")
        listBuffer must be ('empty)
      }
    }

The reason you would ordinarily want to mix in `MustMatchersForJUnit` or `ShouldMatchersForJUnit` rather than `MustMatchers` or `ShouldMatchers` is that `MustMatchersForJUnit` and `ShouldMatchersForJUnit` throw `junit.framework.AssertionFailedError`s, which JUnit 3 will report as failures, not errors.

When writing JUnit 3 tests in Scala, you should keep in mind that JUnit 3 will not run tests that have a return type other than `Unit`. Thus it is best to leave off the equals sign before the curly braces of the body of the test, like this:

    def testGoodIdea() { // result type will be Unit
      // ...
    }

Instead of this:

    def testBadIdea() = { // result type will be inferred
      // ...
    }

If the `testBadIdea` method ends in an expression that has a result type other than `Unit`, the Scala compiler will infer a result type to the `testBadIdea` method to be the same non-`Unit` type. As a "result," JUnit 3 will not discover or run the `testBadIdea` method at all.

See also: Getting started with JUnit 3 and ScalaTest.

Linear Supertypes
AssertionsForJUnit, Suite, AbstractSuite, Assertions, TestCase, Test, Assert, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. JUnit3Suite
2. AssertionsForJUnit
3. Suite
4. AbstractSuite
5. Assertions
6. TestCase
7. Test
8. Assert
9. AnyRef
10. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JUnit3Suite ()

### Type Members

1. #### class Equalizer extends AnyRef

   Class used via an implicit conversion to enable any two objects to be compared with `===` in assertions in tests.

2. #### trait NoArgTest extends () ⇒ Unit

   A test function taking no arguments, which also provides a test name and config map.

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def assert (o: Option[String]): Unit

   Assert that an `Option[String]` is `None`.

   Assert that an `Option[String]` is `None`. If the condition is `None`, this method returns normally. Else, it throws `TestFailedException` with the `String` value of the `Some` included in the `TestFailedException`'s detail message.

   This form of `assert` is usually called in conjunction with an implicit conversion to `Equalizer`, using a `===` comparison, as in:

       assert(a === b)

   For more information on how this mechanism works, see the documentation for `Equalizer`.

   o

     the `Option[String]` to assert

   Definition Classes
     Assertions

8. #### def assert (o: Option[String], clue: Any): Unit

   Assert that an `Option[String]` is `None`.

   Assert that an `Option[String]` is `None`. If the condition is `None`, this method returns normally. Else, it throws `TestFailedException` with the `String` value of the `Some`, as well as the `String` obtained by invoking `toString` on the specified `message`, included in the `TestFailedException`'s detail message.

   This form of `assert` is usually called in conjunction with an implicit conversion to `Equalizer`, using a `===` comparison, as in:

       assert(a === b, "extra info reported if assertion fails")

   For more information on how this mechanism works, see the documentation for `Equalizer`.

   o

     the `Option[String]` to assert

   clue

     An objects whose `toString` method returns a message to include in a failure report.

   Definition Classes
     Assertions

9. #### def assert (condition: Boolean, clue: Any): Unit

   Assert that a boolean condition, described in `String` `message`, is true.

   Assert that a boolean condition, described in `String` `message`, is true. If the condition is `true`, this method returns normally. Else, it throws `TestFailedException` with the `String` obtained by invoking `toString` on the specified `message` as the exception's detail message.

   condition

     the boolean condition to assert

   clue

     An objects whose `toString` method returns a message to include in a failure report.

   Definition Classes
     Assertions

10. #### def assert (condition: Boolean): Unit

    Assert that a boolean condition is true.

    Assert that a boolean condition is true. If the condition is `true`, this method returns normally. Else, it throws `TestFailedException`.

    condition

      the boolean condition to assert

    Definition Classes
      Assertions

11. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### implicit def convertToEqualizer (left: Any): Equalizer

    Implicit conversion from `Any` to `Equalizer`, used to enable assertions with `===` comparisons.

    Implicit conversion from `Any` to `Equalizer`, used to enable assertions with `===` comparisons.

    For more information on this mechanism, see the documentation for Equalizer.

    Because trait `Suite` mixes in `Assertions`, this implicit conversion will always be available by default in ScalaTest `Suite`s. This is the only implicit conversion that is in scope by default in every ScalaTest `Suite`. Other implicit conversions offered by ScalaTest, such as those that support the matchers DSL or `invokePrivate`, must be explicitly invited into your test code, either by mixing in a trait or importing the members of its companion object. The reason ScalaTest requires you to invite in implicit conversions (with the exception of the implicit conversion for `===` operator) is because if one of ScalaTest's implicit conversions clashes with an implicit conversion used in the code you are trying to test, your program won't compile. Thus there is a chance that if you are ever trying to use a library or test some code that also offers an implicit conversion involving a `===` operator, you could run into the problem of a compiler error due to an ambiguous implicit conversion. If that happens, you can turn off the implicit conversion offered by this `convertToEqualizer` method simply by overriding the method in your `Suite` subclass, but not marking it as implicit:

        // In your Suite subclass
        override def convertToEqualizer(left: Any) = new Equalizer(left)

    left

      the object whose type to convert to `Equalizer`.

    Attributes
      implicit
    Definition Classes
      Assertions

13. #### def countTestCases (): Int

    Definition Classes
      TestCase → Test

14. #### def createResult (): TestResult

    Attributes
      protected[framework]
    Definition Classes
      TestCase

15. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def execute (testName: String = null, configMap: Map[String, Any] = Map(), color: Boolean = true, durations: Boolean = false, shortstacks: Boolean = false, fullstacks: Boolean = false, stats: Boolean = false): Unit

    Executes one or more tests in this `Suite`, printing results to the standard output.

    Executes one or more tests in this `Suite`, printing results to the standard output.

    This method invokes `run` on itself, passing in values that can be configured via the parameters to this method, all of which have default values. This behavior is convenient when working with ScalaTest in the Scala interpreter. Here's a summary of this method's parameters and how you can use them:

    The `testName` parameter

    If you leave `testName` at its default value (of `null`), this method will pass `None` to the `testName` parameter of `run`, and as a result all the tests in this suite will be executed. If you specify a `testName`, this method will pass `Some(testName)` to `run`, and only that test will be run. Thus to run all tests in a suite from the Scala interpreter, you can write:

        scala> (new ExampleSuite).execute()

    To run just the test named `"my favorite test"` in a suite from the Scala interpreter, you would write:

        scala> (new ExampleSuite).execute("my favorite test")

    Or:

        scala> (new ExampleSuite).execute(testName = "my favorite test")

    The `configMap` parameter

    If you provide a value for the `configMap` parameter, this method will pass it to `run`. If not, the default value of an empty `Map` will be passed. For more information on how to use a config map to configure your test suites, see the config map section in the main documentation for this trait. Here's an example in which you configure a run with the name of an input file:

        scala> (new ExampleSuite).execute(configMap = Map("inputFileName" -> "in.txt")

    The `color` parameter

    If you leave the `color` parameter unspecified, this method will configure the reporter it passes to `run` to print to the standard output in color (via ansi escape characters). If you don't want color output, specify false for `color`, like this:

        scala> (new ExampleSuite).execute(color = false)

    The `durations` parameter

    If you leave the `durations` parameter unspecified, this method will configure the reporter it passes to `run` to not print durations for tests and suites to the standard output. If you want durations printed, specify true for `durations`, like this:

        scala> (new ExampleSuite).execute(durations = true)

    The `shortstacks` and `fullstacks` parameters

    If you leave both the `shortstacks` and `fullstacks` parameters unspecified, this method will configure the reporter it passes to `run` to not print stack traces for failed tests if it has a stack depth that identifies the offending line of test code. If you prefer a short stack trace (10 to 15 stack frames) to be printed with any test failure, specify true for `shortstacks`:

        scala> (new ExampleSuite).execute(shortstacks = true)

    For full stack traces, set `fullstacks` to true:

        scala> (new ExampleSuite).execute(fullstacks = true)

    If you specify true for both `shortstacks` and `fullstacks`, you'll get full stack traces.

    The `stats` parameter

    If you leave the `stats` parameter unspecified, this method will not fire `RunStarting` and either `RunCompleted` or `RunAborted` events to the reporter it passes to `run`. If you specify true for `stats`, this method will fire the run events to the reporter, and the reporter will print the expected test count before the run, and various statistics after, including the number of suites completed and number of tests that succeeded, failed, were ignored or marked pending. Here's how you get the stats:

        scala> (new ExampleSuite).execute(stats = true)

    To summarize, this method will pass to `run`:

    - `testName` - `None` if this method's `testName` parameter is left at its default value of `null`, else `Some(testName)`.
    - `reporter` - a reporter that prints to the standard output
    - `stopper` - a `Stopper` whose `apply` method always returns `false`
    - `filter` - a `Filter` constructed with `None` for `tagsToInclude` and `Set()` for `tagsToExclude`
    - `configMap` - the `configMap` passed to this method
    - `distributor` - `None`
    - `tracker` - a new `Tracker`

    Note: In ScalaTest, the terms "execute" and "run" basically mean the same thing and can be used interchangably. The reason this method isn't named `run` is that it takes advantage of default arguments, and you can't mix overloaded methods and default arguments in Scala. (If named `run`, this method would have the same name but different arguments than the main `run` method that takes seven arguments. Thus it would overload and couldn't be used with default argument values.)

    Design note: This method has two "features" that may seem unidiomatic. First, the default value of `testName` is `null`. Normally in Scala the type of `testName` would be `Option[String]` and the default value would be `None`, as it is in this trait's `run` method. The `null` value is used here for two reasons. First, in ScalaTest 1.5, `execute` was changed from four overloaded methods to one method with default values, taking advantage of the default and named parameters feature introduced in Scala 2.8. To not break existing source code, `testName` needed to have type `String`, as it did in two of the overloaded `execute` methods prior to 1.5. The other reason is that `execute` has always been designed to be called primarily from an interpeter environment, such as the Scala REPL (Read-Evaluate-Print-Loop). In an interpreter environment, minimizing keystrokes is king. A `String` type with a `null` default value lets users type `suite.execute("my test name")` rather than `suite.execute(Some("my test name"))`, saving several keystrokes.

    The second non-idiomatic feature is that `shortstacks` and `fullstacks` are all lower case rather than camel case. This is done to be consistent with the `Shell`, which also uses those forms. The reason lower case is used in the `Shell` is to save keystrokes in an interpreter environment. Most Unix commands, for example, are all lower case, making them easier and quicker to type. In the ScalaTest `Shell`, methods like `shortstacks`, `fullstacks`, and `nostats`, etc., are designed to be all lower case so they feel more like shell commands than methods.

    testName

      the name of one test to run.

    configMap

      a `Map` of key-value pairs that can be used by the executing `Suite` of tests.

    color

      a boolean that configures whether output is printed in color

    durations

      a boolean that configures whether test and suite durations are printed to the standard output

    shortstacks

      a boolean that configures whether short stack traces should be printed for test failures

    fullstacks

      a boolean that configures whether full stack traces should be printed for test failures

    stats

      a boolean that configures whether test and suite statistics are printed to the standard output

    Attributes
      final
    Definition Classes
      Suite

18. #### def expect (expected: Any)(actual: Any): Unit

    Expect that the value passed as `expected` equals the value passed as `actual`.

    Expect that the value passed as `expected` equals the value passed as `actual`. If the `actual` value equals the `expected` value (as determined by `==`), `expect` returns normally. Else, `expect` throws an `TestFailedException` whose detail message includes the expected and actual values.

    expected

      the expected value

    actual

      the actual value, which should equal the passed `expected` value

    Definition Classes
      Assertions

19. #### def expect (expected: Any, clue: Any)(actual: Any): Unit

    Expect that the value passed as `expected` equals the value passed as `actual`.

    Expect that the value passed as `expected` equals the value passed as `actual`. If the `actual` equals the `expected` (as determined by `==`), `expect` returns normally. Else, if `actual` is not equal to `expected`, `expect` throws an `TestFailedException` whose detail message includes the expected and actual values, as well as the `String` obtained by invoking `toString` on the passed `message`.

    expected

      the expected value

    clue

      An object whose `toString` method returns a message to include in a failure report.

    actual

      the actual value, which should equal the passed `expected` value

    Definition Classes
      Assertions

20. #### def expectedTestCount (filter: Filter): Int

    Returns the number of tests expected to be run by JUnit when `run` is invoked on this `Suite`.

    Returns the number of tests expected to be run by JUnit when `run` is invoked on this `Suite`.

    If `tagsToInclude` in the passed `Filter` is defined, this class's implementation of this method returns 0. Else this class's implementation of this method returns the size of the set returned by `testNames` on the current instance.

    filter

      a `Filter` with which to filter tests to count based on their tags

    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

21. #### def fail (cause: Throwable): Nothing

    Throws `TestFailedException`, with the passed `Throwable` cause, to indicate a test failed.

    Throws `TestFailedException`, with the passed `Throwable` cause, to indicate a test failed. The `getMessage` method of the thrown `TestFailedException` will return `cause.toString()`.

    cause

      a `Throwable` that indicates the cause of the failure.

    Definition Classes
      Assertions

22. #### def fail (message: String, cause: Throwable): Nothing

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message and `Throwable` cause, to indicate a test failed.

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message and `Throwable` cause, to indicate a test failed.

    message

      A message describing the failure.

    cause

      A `Throwable` that indicates the cause of the failure.

    Definition Classes
      Assertions

23. #### def fail (message: String): Nothing

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message, to indicate a test failed.

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message, to indicate a test failed.

    message

      A message describing the failure.

    Definition Classes
      Assertions

24. #### def fail (): Nothing

    Throws `TestFailedException` to indicate a test failed.

    Throws `TestFailedException` to indicate a test failed.

    Definition Classes
      Assertions

25. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

27. #### def getName (): String

    Definition Classes
      TestCase

28. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

29. #### def intercept [T <: AnyRef] (f: ⇒ Any)(implicit manifest: Manifest[T]): T

    Intercept and return an exception that's expected to be thrown by the passed function value.

    Intercept and return an exception that's expected to be thrown by the passed function value. The thrown exception must be an instance of the type specified by the type parameter of this method. This method invokes the passed function. If the function throws an exception that's an instance of the specified type, this method returns that exception. Else, whether the passed function returns normally or completes abruptly with a different exception, this method throws `TestFailedException`.

    Note that the type specified as this method's type parameter may represent any subtype of `AnyRef`, not just `Throwable` or one of its subclasses. In Scala, exceptions can be caught based on traits they implement, so it may at times make sense to specify a trait that the intercepted exception's class must mix in. If a class instance is passed for a type that could not possibly be used to catch an exception (such as `String`, for example), this method will complete abruptly with a `TestFailedException`.

    f

      the function value that should throw the expected exception

    manifest

      an implicit `Manifest` representing the type of the specified type parameter.

    returns

      the intercepted exception, if it is of the expected type

    Definition Classes
      Assertions

30. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

31. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

32. #### def nestedSuites : List[Suite]

    A `List` of this `Suite` object's nested `Suite`s.

    A `List` of this `Suite` object's nested `Suite`s. If this `Suite` contains no nested `Suite`s, this method returns an empty `List`. This trait's implementation of this method returns an empty `List`.

    Definition Classes
      Suite → AbstractSuite

33. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

34. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

35. #### def pending : PendingNothing

    Throws `TestPendingException` to indicate a test is pending.

    Throws `TestPendingException` to indicate a test is pending.

    A pending test is one that has been given a name but is not yet implemented. The purpose of pending tests is to facilitate a style of testing in which documentation of behavior is sketched out before tests are written to verify that behavior (and often, the before the behavior of the system being tested is itself implemented). Such sketches form a kind of specification of what tests and functionality to implement later.

    To support this style of testing, a test can be given a name that specifies one bit of behavior required by the system being tested. The test can also include some code that sends more information about the behavior to the reporter when the tests run. At the end of the test, it can call method `pending`, which will cause it to complete abruptly with `TestPendingException`. Because tests in ScalaTest can be designated as pending with `TestPendingException`, both the test name and any information sent to the reporter when running the test can appear in the report of a test run. (In other words, the code of a pending test is executed just like any other test.) However, because the test completes abruptly with `TestPendingException`, the test will be reported as pending, to indicate the actual test, and possibly the functionality it is intended to test, has not yet been implemented.

    Note: This method always completes abruptly with a `TestPendingException`. Thus it always has a side effect. Methods with side effects are usually invoked with parentheses, as in `pending()`. This method is defined as a parameterless method, in flagrant contradiction to recommended Scala style, because it forms a kind of DSL for pending tests. It enables tests in suites such as `FunSuite` or `Spec` to be denoted by placing "`(pending)`" after the test name, as in:

        test("that style rules are not laws") (pending)

    Readers of the code see "pending" in parentheses, which looks like a little note attached to the test name to indicate it is pending. Whereas "`(pending())` looks more like a method call, "`(pending)`" lets readers stay at a higher level, forgetting how it is implemented and just focusing on the intent of the programmer who wrote the code.

    Definition Classes
      Suite

36. #### def pendingUntilFixed (f: ⇒ Unit): Unit

    Execute the passed block of code, and if it completes abruptly, throw `TestPendingException`, else throw `TestFailedException`.

    Execute the passed block of code, and if it completes abruptly, throw `TestPendingException`, else throw `TestFailedException`.

    This method can be used to temporarily change a failing test into a pending test in such a way that it will automatically turn back into a failing test once the problem originally causing the test to fail has been fixed. At that point, you need only remove the `pendingUntilFixed` call. In other words, a `pendingUntilFixed` surrounding a block of code that isn't broken is treated as a test failure. The motivation for this behavior is to encourage people to remove `pendingUntilFixed` calls when there are no longer needed.

    This method facilitates a style of testing in which tests are written before the code they test. Sometimes you may encounter a test failure that requires more functionality than you want to tackle without writing more tests. In this case you can mark the bit of test code causing the failure with `pendingUntilFixed`. You can then write more tests and functionality that eventually will get your production code to a point where the original test won't fail anymore. At this point the code block marked with `pendingUntilFixed` will no longer throw an exception (because the problem has been fixed). This will in turn cause `pendingUntilFixed` to throw `TestFailedException` with a detail message explaining you need to go back and remove the `pendingUntilFixed` call as the problem orginally causing your test code to fail has been fixed.

    f

      a block of code, which if it completes abruptly, should trigger a `TestPendingException`

    Definition Classes
      Suite

37. #### def run (testName: Option[String], reporter: Reporter, stopper: Stopper, filter: Filter, configMap: Map[String, Any], distributor: Option[Distributor], tracker: Tracker): Unit

    Runs this suite of tests.

    Runs this suite of tests.

    If `testName` is `None`, this trait's implementation of this method calls these two methods on this object in this order:

    - `runNestedSuites(report, stopper, tagsToInclude, tagsToExclude, configMap, distributor)`
    - `runTests(testName, report, stopper, tagsToInclude, tagsToExclude, configMap)`

    If `testName` is defined, then this trait's implementation of this method calls `runTests`, but does not call `runNestedSuites`. This behavior is part of the contract of this method. Subclasses that override `run` must take care not to call `runNestedSuites` if `testName` is defined. (The `OneInstancePerTest` trait depends on this behavior, for example.)

    Subclasses and subtraits that override this `run` method can implement them without invoking either the `runTests` or `runNestedSuites` methods, which are invoked by this trait's implementation of this method. It is recommended, but not required, that subclasses and subtraits that override `run` in a way that does not invoke `runNestedSuites` also override `runNestedSuites` and make it final. Similarly it is recommended, but not required, that subclasses and subtraits that override `run` in a way that does not invoke `runTests` also override `runTests` (and `runTest`, which this trait's implementation of `runTests` calls) and make it final. The implementation of these final methods can either invoke the superclass implementation of the method, or throw an `UnsupportedOperationException` if appropriate. The reason for this recommendation is that ScalaTest includes several traits that override these methods to allow behavior to be mixed into a `Suite`. For example, trait `BeforeAndAfterEach` overrides `runTests`s. In a `Suite` subclass that no longer invokes `runTests` from `run`, the `BeforeAndAfterEach` trait is not applicable. Mixing it in would have no effect. By making `runTests` final in such a `Suite` subtrait, you make the attempt to mix `BeforeAndAfterEach` into a subclass of your subtrait a compiler error. (It would fail to compile with a complaint that `BeforeAndAfterEach` is trying to override `runTests`, which is a final method in your trait.)

    testName

      an optional name of one test to run. If `None`, all relevant tests should be run. I.e., `None` acts like a wildcard that means run all relevant tests in this `Suite`.

    reporter

      the `Reporter` to which results will be reported

    stopper

      the `Stopper` that will be consulted to determine whether to stop execution early.

    filter

      a `Filter` with which to filter tests based on their tags

    configMap

      a `Map` of key-value pairs that can be used by the executing `Suite` of tests.

    distributor

      an optional `Distributor`, into which to put nested `Suite`s to be run by another entity, such as concurrently by a pool of threads. If `None`, nested `Suite`s will be run sequentially.

    tracker

      a `Tracker` tracking `Ordinal`s being fired by the current thread.

    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

38. #### def run (arg0: TestResult): Unit

    Definition Classes
      TestCase → Test

39. #### def run (): TestResult

    Definition Classes
      TestCase

40. #### def runBare (): Unit

    Definition Classes
      TestCase
    Annotations
      @throws()

41. #### def runNestedSuites (reporter: Reporter, stopper: Stopper, filter: Filter, configMap: Map[String, Any], distributor: Option[Distributor], tracker: Tracker): Unit

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    The main purpose of this method implementation is to render a compiler error an attempt to mix in a trait that overrides `runNestedSuites`. Because this trait does not actually use `runNestedSuites`, the attempt to mix in behavior would very likely not work.

    reporter

      the `Reporter` to which results will be reported

    stopper

      the `Stopper` that will be consulted to determine whether to stop execution early.

    filter

      a `Filter` with which to filter tests based on their tags

    configMap

      a `Map` of key-value pairs that can be used by the executing `Suite` of tests.

    distributor

      an optional `Distributor`, into which to put nested `Suite`s to be run by another entity, such as concurrently by a pool of threads. If `None`, nested `Suite`s will be run sequentially.

    tracker

      a `Tracker` tracking `Ordinal`s being fired by the current thread.

    Attributes
      protected final
    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

42. #### def runTest (testName: String, reporter: Reporter, stopper: Stopper, configMap: Map[String, Any], tracker: Tracker): Unit

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    The main purpose of this method implementation is to render a compiler error an attempt to mix in a trait that overrides `runTest`. Because this trait does not actually use `runTest`, the attempt to mix in behavior would very likely not work.

    testName

      the name of one test to run.

    reporter

      the `Reporter` to which results will be reported

    stopper

      the `Stopper` that will be consulted to determine whether to stop execution early.

    configMap

      a `Map` of key-value pairs that can be used by the executing `Suite` of tests.

    tracker

      a `Tracker` tracking `Ordinal`s being fired by the current thread.

    Attributes
      protected final
    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

43. #### def runTest (): Unit

    Attributes
      protected[framework]
    Definition Classes
      TestCase
    Annotations
      @throws()

44. #### def runTests (testName: Option[String], reporter: Reporter, stopper: Stopper, filter: Filter, configMap: Map[String, Any], distributor: Option[Distributor], tracker: Tracker): Unit

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    The main purpose of this method implementation is to render a compiler error an attempt to mix in a trait that overrides `runTests`. Because this trait does not actually use `runTests`, the attempt to mix in behavior would very likely not work.

    testName

      an optional name of one test to run. If `None`, all relevant tests should be run. I.e., `None` acts like a wildcard that means run all relevant tests in this `Suite`.

    reporter

      the `Reporter` to which results will be reported

    stopper

      the `Stopper` that will be consulted to determine whether to stop execution early.

    filter

      a `Filter` with which to filter tests based on their tags

    configMap

      a `Map` of key-value pairs that can be used by the executing `Suite` of tests.

    distributor

      an optional `Distributor`, into which to put nested `Suite`s to be run by another entity, such as concurrently by a pool of threads. If `None`, nested `Suite`s will be run sequentially.

    tracker

      a `Tracker` tracking `Ordinal`s being fired by the current thread.

    Attributes
      protected final
    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

45. #### def setName (arg0: String): Unit

    Definition Classes
      TestCase

46. #### def setUp (): Unit

    Attributes
      protected[framework]
    Definition Classes
      TestCase
    Annotations
      @throws()

47. #### def suiteName : String

    A user-friendly suite name for this `Suite`.

    A user-friendly suite name for this `Suite`.

    This trait's implementation of this method returns the simple name of this object's class. This trait's implementation of `runNestedSuites` calls this method to obtain a name for `Report`s to pass to the `suiteStarting`, `suiteCompleted`, and `suiteAborted` methods of the `Reporter`.

    returns

      this `Suite` object's suite name.

    Definition Classes
      Suite

48. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

49. #### def tags : Map[String, Nothing]

    Returns an empty `Map`, because tags are not supported by JUnit 3.

    Returns an empty `Map`, because tags are not supported by JUnit 3.

    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

50. #### def tearDown (): Unit

    Attributes
      protected[framework]
    Definition Classes
      TestCase
    Annotations
      @throws()

51. #### def testNames : Set[String]

    Returns the set of test names that will be executed by JUnit when `run` is invoked on an instance of this class, or the instance is passed directly to JUnit for running.

    Returns the set of test names that will be executed by JUnit when `run` is invoked on an instance of this class, or the instance is passed directly to JUnit for running.

    The iterator obtained by invoking `elements` on this returned `Set` will produce the test names in their natural order, as determined by `String`'s `compareTo` method. Nevertheless, this method is not consulted by JUnit when it runs the tests, and JUnit may run the tests in any order.

    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

52. #### def toString (): String

    Definition Classes
      TestCase → AnyRef → Any

53. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

54. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

55. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

56. #### def withClue (clue: Any)(fun: ⇒ Unit): Unit

    Executes the block of code passed as the second parameter, and, if it completes abruptly with a `ModifiableMessage` exception, prepends the "clue" string passed as the first parameter to the beginning of the detail message of that thrown exception, then rethrows it.

    Executes the block of code passed as the second parameter, and, if it completes abruptly with a `ModifiableMessage` exception, prepends the "clue" string passed as the first parameter to the beginning of the detail message of that thrown exception, then rethrows it. If clue does not end in a white space character, one space will be added between it and the existing detail message (unless the detail message is not defined).

    This method allows you to add more information about what went wrong that will be reported when a test fails. Here's an example:

        withClue("(Employee's name was: " + employee.name + ")") {
          intercept[IllegalArgumentException] {
            employee.getTask(-1)
          }
        }

    If an invocation of `intercept` completed abruptly with an exception, the resulting message would be something like:

        (Employee's name was Bob Jones) Expected IllegalArgumentException to be thrown, but no exception was thrown

    Definition Classes
      Assertions

57. #### def withFixture (test: NoArgTest): Unit

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    Throws `UnsupportedOperationException`, because this method is unused by this class, given this class's `run` method delegates to JUnit to run its tests.

    The main purpose of this method implementation is to render a compiler error an attempt to mix in a trait that overrides `withFixture`. Because this trait does not actually use `withFixture`, the attempt to mix in behavior would very likely not work.

    test

      the no-arg test function to run with a fixture

    Attributes
      protected final
    Definition Classes
      JUnit3Suite → Suite → AbstractSuite

### Inherited from AssertionsForJUnit

### Inherited from Suite

### Inherited from AbstractSuite

### Inherited from Assertions

### Inherited from TestCase

### Inherited from Test

### Inherited from Assert

### Inherited from AnyRef

### Inherited from Any